#!/bin/sh
#For internationalization, run from this level:
# xgettext -L shell -p usr/share/doc/nls/network_tray -o modemiconset.pot --package-name=network_tray --package-version=2.6 usr/sbin/modemiconset

#Adapt for puppies that do not have /root/.config/autostart.
if [ -e root/Startup/network_tray ];then
 rm root/Startup/network_tray
 ln -snf /usr/bin/network_tray root/Startup/network_tray
 rm -f root/.config/autostart/network_tray.desktop
 rmdir --ignore-fail-on-non-empty root/.config/autostart 2>/dev/null
 sed -i -e 's%^/root/\.config/autostart%/root/Startup%' \
  -e 's%\.desktop%%' \
  -e '/\.config/d' \
  root/.packages/network_tray-*.files
fi

#Move hook script for slacko.
if [ -d usr/libexec/dhcpcd-hooks ] \
 && [ ! -h usr/libexec/dhcpcd-hooks ];then
  mv -f lib/dhcpcd/dhcpcd-hooks/99-network_tray usr/libexec/dhcpcd-hooks/
  rmdir --ignore-fail-on-non-empty lib/dhcpcd/dhcpcd-hooks
  rmdir --ignore-fail-on-non-empty lib/dhcpcd
  sed -i -e 's%^/lib/dhcpcd/%/usr/libexec/%' \
   -e 's%^/lib/$%/usr/%' \
  root/.packages/network_tray-*.files
fi

#Remove old network icon set...
rm -f usr/local/lib/X11/mini-icons/networkblank-*.xpm
rm -f usr/local/lib/X11/mini-icons/networkboth-*.xpm
rm -f usr/local/lib/X11/mini-icons/networkdead-*.xpm
rm -f usr/local/lib/X11/mini-icons/networkin-*.xpm
rm -f usr/local/lib/X11/mini-icons/networkout-*.xpm

if [ "$(pwd)" = "/" ];then
 killall -9 network_tray
 if [ -e root/Startup/network_tray ];then
  root/Startup/network_tray &
 else
  network_tray &
 fi
fi
